From: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Date: Thu, 24 Oct 2013 15:24:07 +0200
Subject: fixes

---
 Makefile.am   |  4 ++-
 help.c        |  2 +-
 help.h        | 84 +++++++++++++++++++++++++++++------------------------------
 lmem_window.c |  3 +++
 4 files changed, 49 insertions(+), 44 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index ea58853..e1802ed 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -5,8 +5,10 @@ lmemory_SOURCES = 	list.c	\
 			mmain.c	\
 			lmem_window.c \
 			lmem_menu.c \
-			callbacks.c \
+			lmem_level.c \
 			xpm_widget.c \
+			help.c \
+			support.c \
 			lmemory.h
  
 SUBDIRS =
diff --git a/help.c b/help.c
index f76338d..0d581b6 100644
--- a/help.c
+++ b/help.c
@@ -39,7 +39,7 @@ lmem_about ()
     
     /* Set the about box labels */
     label = lookup_widget (window_about, "label_about_version");
-    gtk_label_set_text(GTK_LABEL(label), VERSION);
+    gtk_label_set_text(GTK_LABEL(label), "0.6c");
     label = lookup_widget (window_about, "label_about_date");
     gtk_label_set_text(GTK_LABEL(label), __DATE__);
     
diff --git a/help.h b/help.h
index 78e5931..70674c5 100644
--- a/help.h
+++ b/help.h
@@ -1,47 +1,47 @@
   char *rule_buf =
-"The aim of the game is to remove the cards in pairs by matching
-the picture on the cards. There are five skill levels that can
-be changed by pressing the skill-level button which displays one
-of Little One, Beginner, Skilled, Master, and Daemon.
-
-Description of the skill levels:
-
-Little One:
-All cards are turned up. A card is flipped after it is clicked.
-When two matching cards are clicked they are removed.
-
-Beginner:
-The same as the classical card game Memory. Everything is static.
-
-Skilled:
-Same as Beginner except each time a pair of cards are removed
-all remaining cards are moved to the left by one space. Their
-relative positions remain the same, except the first card now
-becomes the last card. This is not much harder than the classical
-game.
-
-Master:
-At this level, all cards are moved to the left by one space whenever
-two cards are flipped, whether or not they are matched and removed.
-This is already very challenging for myself.
-
-Daemon:
-Now all cards are moved to the left by one space when two cards are
-flipped but not matched. When two cards are matched and removed then
-the remaining cards are moved by a random number of spaces, keeping
-their relative positions fixed. This level is for people with the
+"The aim of the game is to remove the cards in pairs by matching\n\
+the picture on the cards. There are five skill levels that can\n\
+be changed by pressing the skill-level button which displays one\n\
+of Little One, Beginner, Skilled, Master, and Daemon.\n\
+\n\
+Description of the skill levels:\n\
+\n\
+Little One:\n\
+All cards are turned up. A card is flipped after it is clicked.\n\
+When two matching cards are clicked they are removed.\n\
+\n\
+Beginner:\n\
+The same as the classical card game Memory. Everything is static.\n\
+\n\
+Skilled:\n\
+Same as Beginner except each time a pair of cards are removed\n\
+all remaining cards are moved to the left by one space. Their\n\
+relative positions remain the same, except the first card now\n\
+becomes the last card. This is not much harder than the classical\n\
+game.\n\
+\n\
+Master:\n\
+At this level, all cards are moved to the left by one space whenever\n\
+two cards are flipped, whether or not they are matched and removed.\n\
+This is already very challenging for myself.\n\
+\n\
+Daemon:\n\
+Now all cards are moved to the left by one space when two cards are\n\
+flipped but not matched. When two cards are matched and removed then\n\
+the remaining cards are moved by a random number of spaces, keeping\n\
+their relative positions fixed. This level is for people with the\n\
 best brains.";
 
   char *option_buf =
-"There are three options available for this game.
-
-Two cards (default):
-When no option is chosen, two idential cards are matched at a time.
-
-Three cards:
-Match three cards at a time.
-
-Different cards:
-Match two different cards at a time. This option needs the icon files
-to be set up properly so that two related icons are next to each other
+"There are three options available for this game.\n\
+\n\
+Two cards (default):\n\
+When no option is chosen, two idential cards are matched at a time.\n\
+\n\
+Three cards:\n\
+Match three cards at a time.\n\
+\n\
+Different cards:\n\
+Match two different cards at a time. This option needs the icon files\n\
+to be set up properly so that two related icons are next to each other\n\
 in the file list. This option can be used for teaching and association.";
diff --git a/lmem_window.c b/lmem_window.c
index f0325b0..0715604 100644
--- a/lmem_window.c
+++ b/lmem_window.c
@@ -11,6 +11,9 @@
 #include <stdlib.h>
 #include "lmemory.h"
 
+GtkWidget *xpm_widget(GtkWidget *parent, gchar *xpm_filename);
+GtkWidget *xpm_widget_default( GtkWidget *parent);
+
   int flipped;
   int flipped_btn[3];
 
